from  parameter import *
from parse_digit import *
from os import system
methodlist = ["linear","rbf.m1000"]

print """
\\begin{tabular}{@{}l|rrr|rrrr@{}}	
& \multicolumn{3}{c|}{Linear (\\liblinear)} & \\multicolumn{4}{c}{RBF (\\libsvm)} \\\\
		Data set & $C$ & Time & Accuracy & $C$ & $\\gamma$ & Time & Accuracy \\\\
\hline
"""		
for d in data:
	o = []
	for method in methodlist:
		dp = log_path + d + '.' + method + '.log'
		try:
			tmp_data = open(dp,'r').readlines()
		except:
			traindata = path + data_path[d]
			model = model_path + d + '.' + method + '.model'
			testdata = path + test_path[d]
			if method == "linear":
				cmd = "time %s -c %s -s 3 -B -1 %s %s >> %s"%(linear_train_exe, best_lin_c[d],traindata,model,dp)
				system('echo \'%s\' >> %s'%(cmd, dp))
				system(cmd)
				cmd = "time %s %s %s tmp_file >> %s"%(linear_predict_exe, testdata, model, dp)
				system('echo \'%s\' >> %s'%(cmd, dp))
				system(cmd)

			if method == "rbf.m1000":
				cmd = "time %s -m 1000 -c %s -g %s -e 0.1  %s %s >> %s"%(libsvm_train_exe, best_rbf_c[d],best_rbf_g[d], traindata, model, dp)
				system('echo \'%s\' >> %s'%(cmd, dp))
				system(cmd)				
				cmd = "time %s %s %s tmp_file >> %s"%(libsvm_predict_exe, testdata, model, dp)
				system('echo \'%s\' >> %s'%(cmd, dp))
				system(cmd)
			tmp_data = open(dp,'r').readlines()

		for l in tmp_data:
			if 'train' in l:
				t = l.split(' ')
				for i in range(len(t)):
					if t[i] == '-c':
						c = (t[i+1].strip())
						digit = "%s"%(c)
						o.append(digit)
					if t[i] == '-g':
						g = (t[i+1].strip())
						digit = "%s"%(g)
						o.append(digit)
			if '=== time' in l:
				time = l.split(' ')[2].strip()
				digit = FormatWithCommas("%5.1f",float(time))
				o.append(digit)
			if 'Accuracy' in l and method != "rbf.m100":
				acc = l.split(' ')[2].strip().strip('%')
				digit = "%5.2f"%float(acc)
				o.append(digit)	
	print "%s & %s & %s & %s & %s & %s & %s & %s \\\\"%(output_name[d],o[0],o[1],o[2],o[3],o[4],o[5],o[6])
print "\end{tabular}"
